classification
Title: xml/sax/expatreader.py raises AttributeError when run
Type: Stage:
Components: Library (Lib) Versions: Python 2.4, Python 2.3, Python 2.6, Python 2.5
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: amaury.forgeotdarc, exarkun
Priority: normal Keywords: patch

Created on 2008-12-02 15:52 by exarkun, last changed 2009-06-22 19:36 by amaury.forgeotdarc. This issue is now closed.

Files
File name Uploaded Description Edit
xmlgenerator.patch exarkun, 2009-06-12 15:57
Messages (3)
msg76754 - (view) Author: Jean-Paul Calderone (exarkun) * (Python committer) Date: 2008-12-02 15:52
expatreader.py has a __main__ which uses something called
`xml.sax.XMLGenerator┬┤.  However, `xml.sax┬┤ has no such attribute.
msg89286 - (view) Author: Jean-Paul Calderone (exarkun) * (Python committer) Date: 2009-06-12 15:57
I found XMLGenerator in xml.sax.saxutils.  Attached patch changes
expatreader to use that instead.  Though I have no idea what the point
of this stanza is.  I suppose it's to exercise the code, in lieu of some
unit tests.  It might be better to just delete this part of the file
entirely.
msg89608 - (view) Author: Amaury Forgeot d'Arc (amaury.forgeotdarc) * (Python committer) Date: 2009-06-22 19:36
These functions are already tested, but I think that this kind of code 
also serves to show a basic usage of the module.
Fixed with r73509.
History
Date User Action Args
2009-06-22 19:36:14amaury.forgeotdarcsetstatus: open -> closed

nosy: + amaury.forgeotdarc
messages: + msg89608

resolution: fixed
2009-06-12 15:57:46exarkunsetfiles: + xmlgenerator.patch
keywords: + patch
messages: + msg89286
2008-12-02 15:52:55exarkuncreate